Summary: UltraMonkey-L7 Layer-7 Load balancer
Name: l7vsd
Version: 1.0.2
Release: 1
License: GPL
Group: Networking
URL: http://sourceforge.jp/projects/ultramonkey-l7/
Source0: %{name}-%{version}-%{release}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: vanessa_logger >= 0.0.7, vanessa_adt >= 0.0.7, glib2 >= 2.4.7
Packager: Shinya TAKEBAYASHI <makoto@kanon-net.jp>

%description
UltraMonkey-L7 is a opensource layer-7 load balancing software.

 <<< Notes concerning the use of this software package >>>
Due to a possible conflict with an U.S. patent owned by F5 Networks,
the use of the cookie-based persistence module included in this package
is restricted to Japan.


%prep
%setup -q

%build
aclocal
libtoolize --force --copy
automake --add-missing --foreign --copy
autoconf
sh configure --enable-snmp-subagent --prefix=/usr --sysconfdir=/etc --localstatedir=/var --with-l7vs-moddir=/usr/lib/l7vs --with-glib2dir=/usr/lib/glib-2.0
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}/etc/init.d/
mkdir -p ${RPM_BUILD_ROOT}/usr/lib/l7vs/
mkdir -p ${RPM_BUILD_ROOT}/usr/sbin
cp init.d/l7vsd ${RPM_BUILD_ROOT}/etc/init.d/
cp *.so ${RPM_BUILD_ROOT}/usr/lib/l7vs/
cp l7vsd ${RPM_BUILD_ROOT}/usr/sbin/
cp l7vsadm ${RPM_BUILD_ROOT}/usr/sbin/

%clean
rm -rf $RPM_BUILD_ROOT

%post
chkconfig --add l7vsd
ldconfig
mkdir -p /var/run/l7vs


%files
%defattr(-,root,root,-)
/usr/sbin/l7vsadm
/usr/sbin/l7vsd
/etc/init.d/l7vsd
/usr/lib/l7vs/*


%changelog
* Sun Feb 12 2008 Shinya TAKEBAYASHI <makoto@kanon-net.jp> -
- 1.0.2-1 released

* Sun Dec 12 2007 Shinya TAKEBAYASHI <makoto@kanon-net.jp> -
- 1.0.2-0 released

* Sun Dec 12 2007 Shinya TAKEBAYASHI <makoto@kanon-net.jp> -
- 1.0.1-0 released

* Wed Dec 12 2007 Shinya TAKEBAYASHI <makoto@kanon-net.jp> - 
- Initial build.

